## org.codehaus.groovy.grails.commons
Class DefaultGrailsServiceClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsServiceClass

All Implemented Interfaces:
  GrailsClass, GrailsServiceClass, InjectableGrailsClass

    public class DefaultGrailsServiceClass

extends AbstractInjectableGrailsClass
implements GrailsServiceClass

Since:
  Aug 7, 2005
Author:
  Steven Devijver

Field Summary
`static String` `SERVICE`

Constructor Summary
`DefaultGrailsServiceClass(Class clazz)`

Method Summary
`boolean` `isTransactional()` Service should be configured with transaction demarcation.

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Field Detail

### SERVICE

    public static final String SERVICE

See Also:
  Constant Field Values

Constructor Detail

### DefaultGrailsServiceClass

    public DefaultGrailsServiceClass(Class clazz)

Method Detail

### isTransactional

    public boolean isTransactional()

  Description copied from interface: `GrailsServiceClass`

  Service should be configured with transaction demarcation.

  Specified by:
    `isTransactional` in interface `GrailsServiceClass`
  Returns:
    configure with transaction demarcation

Copyright (c) 2005-2009 The Grails project